def itunes_play(artist,album,song)
  bin = Routinized.config['itunes_play']['bin']
  full_path = find_exact_song(artist,album,song)
  return "#{bin} \"#{full_path}\" &"
end

# skip the nuisance of escaping manually
def find_exact_song(artist,album,song)
  itunes_location = Routinized.config['itunes_play']['directory']
  Dir.chdir(itunes_location)
  matched_artist = Dir.glob("*#{artist}*").first
  Dir.chdir(matched_artist)
  matched_album = Dir.glob("*#{album}*").first
  Dir.chdir(matched_album)
  matched_song = Dir.glob("*#{song}*").first
  return "#{itunes_location}/#{matched_artist}/#{matched_album}/#{matched_song}"
end
